Sign in to follow this  
NathanKell

Official Mod Compatibility Thread for .25

Recommended Posts

Mod Compatibility in 0.25

KSP 0.25 has just been released. A number of mods have already updated for .25, but there are a lot which have not yet. Even those that have, however, may experience issues in .25. Those that have not may or may not still work.

See the second post for the lists

This thread is for reporting compatibility issues. However, there are some guidelines which I would ask you to follow.

In particular:

1. Please include the forum link and version number when reporting.

2. If you are using the Windows x64 version, please do not report on compatibility. As Squad's own download links and the .25 FAQ say, the Win x64 version of KSP is unstable and it is impossible to say whether an issue encountered on it is a stock problem or a mod problem. Therefore all reports regarding the Windows x64 version of KSP will be ignored.

3. If you get a warning on launching KSP that the mod is not compatible, please respect the warning; there's no need to post that you're getting such a warning, the mod author already knows (as, now, do you) that the mod is not yet compatible with KSP 0.25

4. Details: Saying "it doesn't work" doesn't do any good unless you provide some details. What doesn't work?

5. Interaction: If you wish to ascertain whether a mod works, please try it alone. If you have multiple mods installed, and something breaks, all you can say for certain is that some interaction between them, or one of them, broke--not that they're all incompatible.

Thanks!

Edited by NathanKell
  • Like 2

Share this post


Link to post
Share on other sites

Known Compatible, but upgrade required (as of listed version)

FAR (Ferram Aerospace Research) 0.14.2

NEAR (Neophyte's Elementary Aerodynamics Replacement) 1.2

Kerbal Joint Reinforcement 2.4.4

Kerbal Isp Difficulty Scaler 1.4.1

Deadly Reentry 6.0

RLA Stockalike 11.3

[thread=91034]Contracts Window + Version 2.0[/thread]

Module Manager 2.5.0

Kethane 0.9.2

Dang It! A Random Failures Mod 0.4

CrewFiles 2.0

Mission Controller Extended 1.03

MechJeb 2.4+

[thread=64972]DMagic Orbital Science 0.8.6[/thread]

RealChute 1.2.5b

Taurus HCV 1.3.0

Stage Recovery 1.5.1

RemoteTech 1.5.0

QuickRevert 1.10

Real Solar System 8.0

Kerbal Engineer Redux 0.6 and 1.09

Advanced Fly-By-Wire 1.1.2

FASA 4.98

JSI RasterPropMonitor 18.3

Part Catalog 3.0 RC8

Action Groups Extended 1.18a

Chatterer 0.7.1

Kerbal Attachment System 0.4.9

SCANSat 8

RCS Build Aid 0.5.1

Custom Asteroids 1.1.0

Infernal Robotics 0.19.2

Procedural Dynamics Procedural Wings 0.9

Final Frontier 0.5.6b

blizzy78's Toolbar 1.7.7

Precise Node 1.1.1

SDHI Service Module 2.3

Kerbal Alarm Clock 2.7.9.0

Texture Replacer 1.7.3

Auto Asparagus 0.7

TAC Life Support 0.10.1

kOS Scriptable Autopilot 0.14.2

TweakScale 1.44

Near Future Technologies 0.3.0

Stockalike Station Parts Expansion 0.2.0

Simulate, Revert & Launch 1.10

Proceudral Fairings 3.10

Connected Living Space 1.0.9.0

Athlonic Electronics / LCD - Launch CountDown 1.7.3

Editor Extensions 1.4

Resource Overview for VAB/SPH 1.0.1.1

Modular Fuel Tanks 5.2.1

FreeEVA 0.2.0

Extraplanetary Launchpads 4.3.0

Real Fuels 8.0

Near Future mods 0.3.0

TAC Fuel Balancer 2.4.1

Alternate Resource Panel 2.6.0

Enhanced Navball 1.3.3

Karbonite Parts Pack 0.4.2

KSP-AVC 1.1.5

[X] Science! 3.0

Navball Docking Port Alignment Indicator 4

NovaPunch 2.07

B9 Aerospace 5.2.5

Interstellar Flight Inc 1.12

KSP Interstellar 0.13

Known Compatible (as of listed version)

Part Angle Display 0.2.4.5

B.U.L.B Aug-10-2014 release

Simple Part Organizer 1.2.1

Vertical Velocity Control 1.13

RCS Landing Aid 1.2a

Landing Height 1.1

SelectRoot (18 July 2014 version)

AutoAsparagus 0.6

HyperEdit 1.2.4.2 (with its usual bugs)

SurfaceLights (no version info; uploaded 1 Jun 14)

Celestial Body Science Multiplier Editor

Universal Storage 0.9.1

Docking Port Alignment Indicator 3.0

Science Library 1.2

KDEX 1.02

Aviation Lights 3.6

Camera Tools 1.0

KW Rocketry 2.6d

Known Incompatible (as of listed version)

Lack's SXT 17a (but see patch here

Edited by NathanKell

Share this post


Link to post
Share on other sites

I've got FAR, NEAR, KJR and KIDS all updated. TCSB didn't need any changes and is compatible.

Share this post


Link to post
Share on other sites

- Toolbar and Precise Node will work without redownloading.

- Achievements should work, but Reputation is not granted.

- Haven't checked my other stuff yet.

Share this post


Link to post
Share on other sites

Part Angle Display did not require any changes and is compatible (though there will be an updated version in the next few days).

Share this post


Link to post
Share on other sites

According to KerbalStuff, Contract Window + and RLA Stockalike have been updated to 0.25.

Share this post


Link to post
Share on other sites

[thread=91034]Contracts Window + Version 2.0[/thread] is updated on KS and pending on Curse; everything appears to be working.

[thread=64972]DMagic Orbital Science[/thread] is not fully working and needs to be updated (how much it is broken I'm not sure, but at least one function will not work at all and possibly will cause other errors when used in 0.25).

Edited by DMagic
version no.

Share this post


Link to post
Share on other sites

Part Catalog is apparently broken (autotagging makes stock part categories markers disappear, and the game slows down noticeably).

Share this post


Link to post
Share on other sites

Thanks all!

Friendly request: please post the version number when you post (as well as the link). That will lower my workload a fair bit (don't even have to click the link, can just copy/paste your post text :) ).

Share this post


Link to post
Share on other sites

An updated Module Manager should be included in the mods that need it but since it require an update for 0.25 let's add it to the list :

Module Manager 2.5.0

Share this post


Link to post
Share on other sites
B.U.L.B. 1.1 is compatible, no update was necessary. Edited by Alshain

Share this post


Link to post
Share on other sites

NovaPunch 2.06 and KW Rocketry 2.6c: needs updating, rescaling doesn't work properly and some parts (KW: engines, NP: SAS modules, fairings, nosecones) have wrong scale.

Edited by biohazard15

Share this post


Link to post
Share on other sites

I don't think Editor Extensions work in 0.25. It doesn't say that it is an incompatible mod but all I get is the stock editor without the useful (more like indispensable) tools.

Using version v1.3.

Edited by Giggleplex777

Share this post


Link to post
Share on other sites

SDHI Service Module System v2.2.1 is not compatible, due to changes in stock part names and references.

I'll push out an update this weekend.

Share this post


Link to post
Share on other sites
B.U.L.B. is compatible, no update was necessary.

Please specify version number while reporting what works. The first post instructed everyone to do so.

Share this post


Link to post
Share on other sites
Please specify version number while reporting what works. The first post instructed everyone to do so.

Sorry, fixed. (It wasn't there when I read it earlier though, he edited it in)

Share this post


Link to post
Share on other sites

Appears to not be compatible:

Edit Extensions 1.3

http://forum.kerbalspaceprogram.com/threads/38768-0-24-Editor-Extensions-v1-3-19-Jul-2014-%28EdTools-Editor-Tools-replacement%29

Appears to be compatible:

Kerbal Alarm Clock 2.7.8.2

http://www.curse.com/ksp-mods/kerbal/220289-kerbal-alarm-clock#t1:description

Haystack 0.2.2.1

[ No link to older version Here is a link to Haystack continued: compatibility status unknown http://www.curse.com/ksp-mods/kerbal/223146-haystack-continued#t1:description

Select Root (unknown version number)

http://forum.kerbalspaceprogram.com/threads/43208-0-24-Jul18-SelectRoot-Set-a-new-root-part-0-24-new-UI

[ The latest version on this thread appears to not be the same as what I have. Mine is dated 8/20/2014 and the dll is twice the size. So no idea what is going on there.]

Texture Replacer (1.7.1)

http://forum.kerbalspaceprogram.com/threads/60961-0-24-2-TextureReplacer-1-7-1-%287-9-2014%29-Female-name-detection

I have it ^^^ as part of the astronomers visual pack.

Edited by BDelacroix

Share this post


Link to post
Share on other sites

I updated both CrewFiles and Dang It! to 0.25 (version 2.0 and 0.4 respectively).

Afaik, the previous version of both should still work, but I haven't checked (and I won't).

  • Like 1

Share this post


Link to post
Share on other sites

NecroBones just made a few updates for KSP 0.25 compatibility.

Modular Rocket Systems Parts Pack is upgraded to 0.7: https://kerbalstuff.com/mod/148/Modular_Rocket_Systems_-_Parts_Pack

Zero Point Inline Fairings is upgrade to 0.5: https://kerbalstuff.com/mod/196/Zero%20Point%20Inline%20Fairings

Zero Point Inline Fairings LITE, also at version 0.5: https://kerbalstuff.com/mod/228/Zero-Point%20Inline%20Fairings%20Lite

A couple more updates from other authors:

Resource Overview is upgraded to v.1.0.1.0: https://kerbalstuff.com/mod/186/Resource%20Overview

Fine Print is upgraded to 0.59: https://kerbalstuff.com/mod/81/Fine%20Print

Edited by LitaAlto

Share this post


Link to post
Share on other sites

Please post the forum links, not the download links. Also, if you can format it like the others have been (and my posts) that would help a lot.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this